Subject: bug#71705: 30.0.50; Emacs as build tool fails to launch after update

From: "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Fri, 21 Jun 2024 23:49:10 +0200

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 21 Jun 2024 15:19:18 +0200
>> From:  "Dr. Arne Babenhauserheide" via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> a correction: it wasn’t Emacs 30 vs. 29. The actual change is the guix
>> update from Generation 1287 to 1288. In 1287 it works. In 1288 it breaks:
>
> Sorry, I don't know what this generation number means.  How about
> reporting this to Guix folks first?

I’ll also report it there.

This means that some packages changed. I’ll remove the ones where I’m
pretty sure that they won’t be causing problems:

Generation 1288	21. Juni 2024 11:55:59
 + arc-theme        	20221218       	
 + emacs-auctex     	14.0.5         	
 + emacs-bbdb       	3.2.2.4        	
 + emacs-compat     	29.1.4.5       	
 + emacs-elfeed-org 	0.1-1.77b6bbf  	
 + emacs-emms       	20             	
 + emacs-exwm       	0.30           	
 + emacs-geiser-guile	0.28.1         	
 + emacs-ghub       	3.6.0          	
 + emacs-helm-emms  	1.3-3.37e5aa0  	
 + emacs-helm-exwm  	0.0.2          	
 + emacs-helm-firefox	1.3            	
 + emacs-magit      	3.3.0-7.dda332b	
 + emacs-org-contrib	0.5            	
 + emacs-org-edit-latex	0.8.3          	
 + emacs-transient  	0.7.0          	
 + emacs-xref       	1.7.0          	
 + python-tldr      	3.2.0          	
 + texlive-scheme-medium	66594       

Can a change in the version of these packages cause the problem?

And I’m sorry for opening two bugs. That wasn’t intentional (thank you
for merging them!)

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein,
ohne es zu merken.
draketo.de